---
title: The Role of the Project Maintainer
desc: The role of a Quasar project manager
---

## Your Profile

- You have a vision on something great that you want to build and own
- You have enough time to put into it to succeed (although, yes, “You may have a job and the job is your priority, not this Quasar Project” --- this is perfectly fine)
- You are not already involved in other projects that take a lot of your time and focus
- You love open source
- You want to help others
- You can accept constructive criticism

## Your Responsibilities

- You are loosely aware of the entire Quasar ecosystem / inner-workings and in a detail of your Quasar feature / component / app extension / area.
- You are recognized in the community (forum / chat) as the authority and lead over your Quasar feature / component / app extension / area and you actively supports it
- You document, communicate and keep updated the vision of the Quasar feature / component / app extension / area that you are responsible for
- You deliver the vision by implementing, fixing bugs, reviewing and merging PRs directly and via contributors
- You focus on high usability for the end users - demos, documentation, community requests via forum and Discord
- You provide inputs for Marketing and Media departments for articles on your Quasar Project
  - you don’t have to be the one writing the articles, although preferred, but at least find someone willing
-  You provide a code review for other Quasar maintainers and request a code review of your contributions
- You keep track of the ongoing work and reported issues to make sure that it gets reviewed and merged in a timely manner.
  - You acknowledge every important contributor and give credit for their work (also in written form on the repo README, on every presentation material, on documentation).
- You have also the final responsibility
  - If no reviewer can be found for an important contribution, you review.
  - If no developer can be found to fix an important bug, you develop.
  - If something goes wrong, it’s eventually your fault.
- You keep the Quasar team updated at least on bi-weekly basis
  - You have regular calls with Razvan
  - You post a short project status into Discord #projects-status channel
- You are brave to step down when you do not have time - it is perfectly fine to announce it.

More info - [Best Practices for Maintainers](https://opensource.guide/best-practices/)
